Qt 5.6 | Qt Widgets | C++ Classes | QColorDialog

Qt 5.6.2 Reference Documentation

# Obsolete Members for QColorDialog

The following members of class QColorDialog are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QRgb | getRgba(QRgb initial = 0xffffffff, bool *ok = Q_NULLPTR, QWidget *parent = Q_NULLPTR)

## Member Function Documentation

### `[static]` QRgb QColorDialog::getRgba(QRgb initial = 0xffffffff, bool *ok = Q_NULLPTR, QWidget *parent = Q_NULLPTR)

Pops up a modal color dialog to allow the user to choose a color and an alpha channel (transparency) value. The color+alpha is initially set to initial. The dialog is a child of parent.

If ok is non-null, *a ok is set to true if the user clicked OK, and to false if the user clicked Cancel.

If the user clicks Cancel, the initial value is returned.

Use QColorDialog::getColor() instead, passing the QColorDialog::ShowAlphaChannel option.